evhtp_authority_t Struct Reference

structure which represents authority information in a URI More...

`#include <evhtp.h>`

## Data Fields

char * | username
| the username in URI (scheme://USER:. More...
char * | password
| the password in URI (scheme://...:PASS. More...
char * | hostname
| hostname if present in URI More...
uint16_t | port
| port if present in URI More...

## Detailed Description

structure which represents authority information in a URI

Definition at line 402 of file evhtp.h.

## Field Documentation

char* evhtp_authority_t::hostname

hostname if present in URI

Definition at line 405 of file evhtp.h.

char* evhtp_authority_t::password

the password in URI (scheme://...:PASS.

Definition at line 404 of file evhtp.h.

uint16_t evhtp_authority_t::port

port if present in URI

Definition at line 406 of file evhtp.h.

char* evhtp_authority_t::username

the username in URI (scheme://USER:.

Definition at line 403 of file evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp.h